## libdbusmenu 12.10.2

=== debian/changelog ===
libdbusmenu (12.10.2-1) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * Team upload.
  * Many thanks to Andreas Cadhalpun!

  [Andreas Cadhalpun]
  * Import upstream version 12.10.2.
  * debian/source/format: Switch from 1.0 to 3.0 (quilt).
  * debian/patches:
     - Drop optional-valgrind.patch, included upstream.
     - Add g_type_init.patch to fix FTBFS (g_type_init is deprecated
       after glib 2.36).
     - Add reference-xinclude.patch to fix FTBFS due to XInclude errors.
  * debian/control:
     - Update valac build-dependency. (Closes: 707409, 709690)
     - Drop build-dependency on quilt.
     - Drop Breaks: libdbusmenu-glib0 (shouldn't be around anymore and
       lintian complains)
     - Update Standards version from 3.9.3 to 3.9.5 (no changes required).
  * debian/copyright: Update dates.
  * debian/rules: Drop quilt code.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 28 Aug 2014 11:15:52 -0700

libdbusmenu (0.6.2-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
  * Generate header files not arch-specific by droping the full 
    (build time) path to the included files from comments.
    Closes: #674200
  * Only disable valgrind tests, not all of them.
    This reintroduces the jsonloader packages that were previously droped.

 -- Evgeni Golov <evgeni@debian.org>  Tue, 26 Jun 2012 21:13:01 +0200

libdbusmenu (0.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release.
    * Fixed duplicated underscores in menus (LP: #979301)
    * Fix for keybindings not showing in menus bug (LP: #982656)
    * DbusmenuServer leaks private string (LP: #981766)
    * Ensure menuitems with '&' show them properly (LP: #994564)

 -- Ted Gould <ted@ubuntu.com>  Wed, 13 Jun 2012 14:44:52 -0500

libdbusmenu (0.6.1-2) unstable; urgency=low

  * Disable tests, they need valgrind, not available on all arches.

 -- Evgeni Golov <evgeni@debian.org>  Mon, 21 May 2012 07:54:01 +0200

libdbusmenu (0.6.1-1) unstable; urgency=low

  * Import latest upstream version from Ubuntu.
    Closes: #666943
  * Drop patches, applied upstream.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 20 May 2012 16:48:48 +0200

libdbusmenu (0.6.1-0ubuntu3) precise-proposed; urgency=low

  * Backport fix for keybindings not showing in menus bug (lp: #982656)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Apr 2012 21:28:05 +0200

libdbusmenu (0.6.1-0ubuntu2) precise; urgency=low

  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed duplicated underscores in menus (LP: #979301)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 12 Apr 2012 12:42:47 -0400

libdbusmenu (0.6.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix mnemonics in wifi hotspot names. (LP: #903200)
    * Fix nautilus crash in dbusmenu_menuitem_property_remove() (LP: #959821)
    * Fix about-to-show grouping.
    * Fix visibility signal in the server.
    * Silence false positives in dbusmenu's signal smoke tests.

 -- Charles Kerr <charles.kerr@canonical.com>  Wed, 11 Apr 2012 11:58:22 -0500

libdbusmenu (0.5.99-0ubuntu3) precise; urgency=low

  * libdbusmenu-gtk/parser.c
    - switch the smoke test to a g_debug statement (LP: #977803) 

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 10 Apr 2012 13:21:02 -0400

libdbusmenu (0.5.99-0ubuntu2) precise; urgency=low

  * libdbusmenu-glib/server.c
    - Cherry picked a fix for a regression in about-to-show grouping
  * libdbusmenu-gtk/genericmenuitem.c
    - Fixed: underscore on menu items change on switching focus (LP: #903200)
  * libdbusmenu-gtk/parser.c
    - Fixed: nautilus crashed with SIGSEGV in 
      dbusmenu_menuitem_property_remove() (LP: #959821)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 09 Apr 2012 16:29:34 -0400

libdbusmenu (0.5.99-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Reduce the number of messages hud-service sends. (LP: #957022)
    * Fix valgrind tests thanks to a little help from sewardj.
    * Add gcov targets to autotools build for code-coverage reporting.
    * Make private two impl functions that were accidentally public

 -- Charles Kerr <charles.kerr@canonical.com>  Thu, 05 Apr 2012 14:22:33 -0500

libdbusmenu (0.5.96-0ubuntu2) precise; urgency=low

  * Cherry pick fix for FTBFS on arm

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Apr 2012 16:43:10 -0400

libdbusmenu (0.5.96-0ubuntu1) precise; urgency=low

  [ Charles Kerr ]
  * New upstream release.
    * Faster menuitem lookups (LP: #801699)
    * To reduce dbus traffic, only send event replies when the caller 
      requests them
    * Added support for callgrind-based benchmarks
    * Minor code cleanup

  [ Ken VanDine ]
  * debian/control
    - added build depends on valgrind

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 29 Mar 2012 16:35:00 -0400

libdbusmenu (0.5.95-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix theme change bug (LP: #953509)
    * Don't request event responses if no one is listening
    * Fix a warning on custom menu items without labels

 -- Ted Gould <ted@ubuntu.com>  Wed, 21 Mar 2012 14:33:32 -0500

libdbusmenu (0.5.94-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fixing setting name of ATK objects
    * Cleaning up a warning on shutdown (LP: #950762)

 -- Ted Gould <ted@ubuntu.com>  Fri, 09 Mar 2012 14:35:38 -0600

libdbusmenu (0.5.93-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Setting the ATK Role on menu items (LP: #878708)
    * Cleaning up code paths to avoid goto's (LP: #940651)
    * Fixing setting an icon multiple times (LP: #934574)

 -- Ted Gould <ted@ubuntu.com>  Thu, 08 Mar 2012 10:08:10 -0600

libdbusmenu (0.5.92-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix label leak and make it not have disposition (LP: #937829)

 -- Ted Gould <ted@ubuntu.com>  Thu, 23 Feb 2012 00:10:04 -0600

libdbusmenu (0.5.91-0ubuntu2) precise; urgency=low

  * debian/control: restore gtk2 gir depends until that source is updated


