=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               cdbs (>= 0.4.93),
               libgtk2.0-dev (>= 2.24.4-1~),
               libgtk-3-dev (>= 2.99.2-1ubuntu2),
               libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
               libdbus-glib-1-dev,
               libatk1.0-dev,
               gnome-doc-utils,
               gtk-doc-tools,
               libtool,
               intltool,
               libjson-glib-dev (>= 0.13.4),
               gobject-introspection,
               gir1.2-gtk-2.0,
               libgirepository1.0-dev (>= 0.9.3),
               libx11-dev (>= 1.3), 
               dh-autoreconf,
               valac (>= 0.20)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/dbusmenu
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-ayatana/libdbusmenu/debian
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ayatana/libdbusmenu/debian

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: indicator-messages (<< 0.3.0),
        indicator-session (<< 0.2.0),
        gir1.2-unity-3.0 (<< 3.8.4-0ubuntu2),
        gir1.2-indicate-0.5 (<< 0.5.0-0ubuntu4)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0)
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk2.0-dev (>= 2.12.0),
         libdbusmenu-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         libdbusmenu-glib4 (= ${binary:Version})
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-glib4 (= ${binary:Version}),
         ${gir:Depends}
Breaks: gir1.2-unity-3.0 (<< 3.8.4-0ubuntu2),
        gir1.2-indicate-0.5 (<< 0.5.0-0ubuntu4)
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-gtk4 (= ${binary:Version}),
         ${gir:Depends}
Description: typelib file for libdbusmenu-gtk4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-jsonloader4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (= ${binary:Version}),
         libjson-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in 
 applications or libraries using dbusmenu.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libgtk-3-dev (>= 2.91.4-0ubuntu1),
         libdbusmenu-glib-dev
Multi-Arch: same
Description: library for passing menus over DBus - GTK+ version developement files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK+ applications.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         libdbusmenu-gtk3-4 (= ${binary:Version}),
         ${gir:Depends}
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.
