=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_DH_INSTALL_ARGS_libdbusmenu-gtk4 += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk-dev += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk-doc += --sourcedir=debian/tmp/gtk2
DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-gtk-0.4 += --sourcedir=debian/tmp/gtk2

DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-glib-0.4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_gir1.2-dbusmenu-gtk3-0.4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-glib-doc += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk3-4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-gtk3-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-jsonloader4 += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-jsonloader-dev += --sourcedir=debian/tmp/gtk3
DEB_DH_INSTALL_ARGS_libdbusmenu-tools += --sourcedir=debian/tmp/gtk3

DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2
DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3

DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc --enable-introspection  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

DEB_DH_SHLIBDEPS_ARGS_libdbusmenu-gtk4 = -- -xlibgtk2.0-0
DEB_DH_SHLIBDEPS_ARGS_libdbusmenu-gtk3-4 = -- -xlibgtk-3-0

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)
debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)

common-install-arch::
	find debian/tmp -name \*.la -delete
