## libdbusmenu 16.04.1+17.04.20170109.1

=== debian/changelog ===
libdbusmenu (16.04.1+17.04.20170109.1-5) unstable; urgency=medium

  * debian/patches:
    + Add 0002-gtkdoc-check-Move-over-gtkdoc-check-unit-tests-to-th.patch.
      Fix FTBFS during gtkdoc-check unit tests. This patch basically disables
      unit tests for gtkdoc-check. (Closes: #876613).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Oct 2017 11:26:11 +0200

libdbusmenu (16.04.1+17.04.20170109.1-4) unstable; urgency=medium

  * Upload to unstable.

  * debian/control:
    + Raise versioned B-D for debhelper (>= 10.3~).
    + Bump Standards-Version: to 4.0.1. No changes needed.
  * debian/rules:
    + Switch over from dh_install --fail-missing to dh_missing
      --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 20:06:43 +0200

libdbusmenu (16.04.1+17.04.20170109.1-3) experimental; urgency=medium

  * debian/control:
    + Drop Evgeni Golov from Uploaders: field per request via #debian-devel
      on 2017-05-22 12:37 CEST.
  * debian/rules:
    + Add get-orig-source rule.
  * debian/watch:
    + Use Ubuntu's orig.tar.gz as orig tarball source.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 May 2017 10:41:41 +0200

libdbusmenu (16.04.1+17.04.20170109.1-2) experimental; urgency=medium

  * debian/control:
    + Exclude valgrind as B-D from various Debian-supported build platforms.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 May 2017 12:15:21 +0200

libdbusmenu (16.04.1+17.04.20170109.1-1) experimental; urgency=medium

  * Merge new upstream release from Ubuntu.
    - libdbusmenu-gtk4: Don't send Ubuntu-specific signal 'child-added' anymore.
      (Closes: #850769).
  * debian/patches:
    + Add 0001_no-deprecated-gnome-common-macros.patch. Fully drop deprecated
      gnome-common variables and macros. This and latest upstream changes...
      (Closes: #829962).
  * debian/control:
    + New uploader for this package (Mike Gabriel). Package remains
      team-maintained. (Closes: #818020).
    + Replace Ubuntu's Vcs-*: fields. Now pointing to Debian's pkg-ayatana
      namespace on git.debian.org.
    + Bump Standards-Version: to 3.9.8. No changes needed.
    + Typo fix for the word "development".
    + Fix duplicate SYNOPSIS and LONG_DESCRIPTION phrases.
    + Drop superfluous Pre-Depends: fields.
  * debian/{control,compat}:
    + Bump to DH level 10.
  * debian/{control,rules}:
    + Enable bindnow hardening (i.e. all hardening flags).
  * debian/rules:
    + Remove builddir/ on dh_auto_clean. Make build idempotent.
    + Don't do parallel make during dh_auto_install. Several race conditions
      have been observed for unknown reason. Avoid those.
    + More dh_shlibdeps calls (for libdbusmenu-glib4, libdbusmenu-jsonloader4
      and libdbusmenu-tools).
  * debian/*: Process with 'wrap-and-sort -s -b -t'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 May 2017 16:33:42 +0200

libdbusmenu (16.04.1+17.04.20170109.1-0ubuntu1) zesty; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build with --enable-massivedebugging

  [ Marco Trevisan (Treviño) ]
  * debian/control: add gnome-common as build dependency for autogen.sh"
    debian/control

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 09 Jan 2017 15:38:49 +0000

libdbusmenu (16.04.1+16.10.20160927.2-0ubuntu1) yakkety; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Albert Astals Cid ]
  * genericmenuitem: Make accelerator text appear again (LP: #1628196)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 27 Sep 2016 22:03:54 +0000

libdbusmenu (12.10.3+16.04.20160223.1-0ubuntu1) xenial; urgency=medium

  [ Dan Williams ]
  * gtk: look for GtkImages on regular GtkMenuItems too (LP: #1549021)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 23 Feb 2016 23:20:43 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu2) xenial; urgency=high

  * Disable test-json-instruction, hangs on buildds, see launchpad bug
    1429291.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Dec 2015 10:13:22 +0000

libdbusmenu (12.10.3+15.04.20150410.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Marco Trevisan (Treviño) ]
  * Parser: don't override the label for stock items if a custom one is
    provided (LP: #1270486)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 21:56:13 +0000

libdbusmenu (12.10.3+15.04.20150409.1-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * Use the configure-generated libtool script instead of
    /usr/bin/libtool, which might not match what we have. Also use gi's
    typelibdir pkgconfig variable and install into this directory, now
    that gi supports multiarch.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 09 Apr 2015 17:36:00 +0000

libdbusmenu (12.10.3+14.10.20140610-0ubuntu1) utopic; urgency=low

  [ Marco Trevisan (Treviño) ]
  * Parser: make sure that the old dbus menuitem is detached from the
    widget before recreating When a dbus menuitem has to be recreated,
    we need to disconnect the widget from it, or the old one will be
    reused at next parsing cycle. (LP: #1086563)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 10 Jun 2014 15:29:30 +0000

libdbusmenu (12.10.3+14.04.20140319-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Fix FTBFS caused by failing gtk-doc coverage test * when generating
    the script that runs gtester, use ${GTKDOC_CHECK_PATH} instead of
    ${GTKDOC_CHECK} to work with upstream changes
    https://bugzilla.gnome.org/show_bug.cgi?id=701638 * add gtk-doc
    markup to subclass structs' parent fields so that gtk-doc won't mark
    them as undocumented. (LP: #1294165)

  [ Colin Watson ]
  * Run tests with VERBOSE=1 so that Automake shows more detail.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Mar 2014 09:04:45 +0000

libdbusmenu (12.10.3+14.04.20140217.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Don't depend on valgrind on ppc64el. (LP: #1262374)
  * Flushing trunk with a release


