=== debian/control ===
Source: libdbusmenu
Section: gnome
Priority: optional
Maintainer: The Ayatana Packages <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: dbus-test-runner,
 debhelper (>= 10.3~),
 dh-autoreconf,
 dpkg-dev (>= 1.16.1.1),
 gnome-common,
 gobject-introspection (>= 1.41.4-1~),
 gtk-doc-tools,
 intltool,
 libatk1.0-dev,
 libdbus-glib-1-dev,
 libgdk-pixbuf2.0-dev (>= 2.22.1-0ubuntu4),
 libgirepository1.0-dev (>= 0.9.3),
 libglib2.0-dev (>= 2.35.4),
 libgtk-3-dev (>= 2.99.2-1ubuntu2),
 libgtk2.0-dev (>= 2.24.4-1~),
 libjson-glib-dev (>= 0.13.4),
 libtool,
 libx11-dev (>= 1.3),
 quilt,
 valac (>= 0.16),
 valgrind [!arm64 !ppc64el !armel !alpha !hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpcspe !sh4 !sparc64 !x32],
 xauth,
 xvfb,
Standards-Version: 4.0.1
Homepage: https://launchpad.net/dbusmenu
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/libdbusmenu.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/libdbusmenu.git

Package: gir1.2-dbusmenu-glib-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-glib4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-glib4.

Package: gir1.2-dbusmenu-gtk-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk4 (GTK-2 variant)
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk4.

Package: gir1.2-dbusmenu-gtk3-0.4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libdbusmenu-gtk3-4 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
Description: typelib file for libdbusmenu-gtk3-4
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libdbusmenu-gtk3-4.

Package: libdbusmenu-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-glib-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build applications.

Package: libdbusmenu-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-glib.

Package: libdbusmenu-glib4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by applications.

Package: libdbusmenu-gtk-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk-0.4 (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk4 (= ${binary:Version}),
 libgtk2.0-dev (>= 2.12.0),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-2+ applications.

Package: libdbusmenu-gtk-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for passing menus over DBus - GTK+ version documentation
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains developer documentation for libdbusmenu-gtk.

Package: libdbusmenu-gtk3-4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-3+ applications.

Package: libdbusmenu-gtk3-dev
Section: libdevel
Architecture: any
Depends: gir1.2-dbusmenu-gtk3-0.4  (= ${binary:Version}),
 libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev,
 libdbusmenu-gtk3-4 (= ${binary:Version}),
 libgtk-3-dev (>= 2.91.4-0ubuntu1),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - GTK-3+ version development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build GTK-3+ applications.

Package: libdbusmenu-gtk4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - GTK-2+ version
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by GTK-2+ applications.

Package: libdbusmenu-jsonloader-dev
Section: libdevel
Architecture: any
Depends: libdbus-glib-1-dev (>= 0.76),
 libdbusmenu-glib-dev (= ${binary:Version}),
 libdbusmenu-jsonloader4 (= ${binary:Version}),
 libjson-glib-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for passing menus over DBus - Test lib development files
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains files that are needed to build test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-jsonloader4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library for passing menus over DBus - Test lib
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains shared libraries to be used by test suites in
 applications or libraries using dbusmenu.

Package: libdbusmenu-tools
Section: devel
Architecture: any
Depends: libdbusmenu-glib4 (= ${binary:Version}),
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: tools useful during development with libdbusmenu
 libdbusmenu passes a menu structure across DBus so that a program can
 create a menu simply without worrying about how it is displayed on the
 other side of the bus.
 .
 This package contains tools that are useful when developing and building
 applications with libdbusmenu.
