=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/libd/libdbusmenu/libdbusmenu_([0-9.\+]+).orig.tar.gz
